UniterRouter
API ReferenceOpenAI Compatible

Models

List LLM Models API - Discover 200+ available AI models including GPT-4, Claude, Gemini, DeepSeek. Get model capabilities, pricing, and context limits through UniterRouter.

Models

List and retrieve information about available models.

List Models

Returns a list of all available models.

Endpoint

GET https://api.uniterouter.ai/v1/models

Example Request

curl https://api.uniterouter.ai/v1/models \
  -H "Authorization: Bearer $UNITEROUTER_API_KEY"
from openai import OpenAI

client = OpenAI(
    base_url="https://api.uniterouter.ai/v1",
    api_key="your_api_key",
)

models = client.models.list()
for model in models.data:
    print(model.id)
import OpenAI from "openai";

const client = new OpenAI({
  baseURL: "https://api.uniterouter.ai/v1",
  apiKey: process.env.UNITEROUTER_API_KEY,
});

const models = await client.models.list();
models.data.forEach((model) => console.log(model.id));

Response

{
  "object": "list",
  "data": [
    {
      "id": "gpt-4o",
      "object": "model",
      "created": 1699000000,
      "owned_by": "openai"
    },
    {
      "id": "claude-3-5-sonnet-20241022",
      "object": "model",
      "created": 1699000000,
      "owned_by": "anthropic"
    },
    {
      "id": "gemini-2.0-flash",
      "object": "model",
      "created": 1699000000,
      "owned_by": "google"
    }
  ]
}

Retrieve Model

Get details about a specific model.

Endpoint

GET https://api.uniterouter.ai/v1/models/{model_id}

Example

curl https://api.uniterouter.ai/v1/models/gpt-4o \
  -H "Authorization: Bearer $UNITEROUTER_API_KEY"

Response

{
  "id": "gpt-4o",
  "object": "model",
  "created": 1699000000,
  "owned_by": "openai"
}

Model Categories

CategoryModels
Chatgpt-4o, claude-3-5-sonnet, gemini-2.0-flash
Embeddingtext-embedding-3-small, text-embedding-3-large
Imagedall-e-3, flux-pro, stable-diffusion-xl
Audiowhisper-1

Browse Models

View all available models with pricing at www.uniterouter.ai/models.

How is this guide?